.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptEngineSingleton.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptEngineSingleton:

VisualScriptEngineSingleton
===========================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

A Visual Script node returning a singleton from @GlobalScope

Member Functions
----------------

+------------------------------+----------------------------------------------------------------------------------------------------------------------+
| :ref:`String<class_string>`  | :ref:`get_singleton<class_VisualScriptEngineSingleton_get_singleton>`  **(** **)**                                   |
+------------------------------+----------------------------------------------------------------------------------------------------------------------+
| void                         | :ref:`set_singleton<class_VisualScriptEngineSingleton_set_singleton>`  **(** :ref:`String<class_string>` name  **)** |
+------------------------------+----------------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`String<class_string>` **constant** - The singleton's name.

Description
-----------

A Visual Script node returning a singleton from @GlobalScope

Member Function Description
---------------------------

.. _class_VisualScriptEngineSingleton_get_singleton:

- :ref:`String<class_string>`  **get_singleton**  **(** **)**

.. _class_VisualScriptEngineSingleton_set_singleton:

- void  **set_singleton**  **(** :ref:`String<class_string>` name  **)**


